Bug 125941 - Rebuilt kernel causes kernel panic: attempted to kill the idle task
Summary: Rebuilt kernel causes kernel panic: attempted to kill the idle task
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-14 13:32 UTC by Jan Newmarch
Modified: 2015-01-04 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:12:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Newmarch 2004-06-14 13:32:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Fedora core 2 installs and runs fine. Rebuilt the kernel using
/usr/src/linux-2.6.5/configs/kernel-2.6.5-i686.config. New kernel
causes Kernel panic: Atttempted to kill the idle task. 
Code: 31 02 f4 40 31 02 00 00 00 00 00 10 00 00 00 00 00 00 0c 00
Call trace 
  sys_fill_super
  get_sb_single
  do_kern_mount
  sys_fill_super
  kern_mount
  sysfs_init
  mnt_init
  vfs_cache_init
  filp_ctor
  filp_dtor
  start_kernel

Machine is Toshiba Tecra 9000 laptop. /proc/cpuinfo says
  processor       : 0
  vendor_id       : GenuineIntel
  cpu family      : 6
  model           : 9
  model name      : Intel(R) Pentium(R) M processor 1400MHz


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.copied /usr/src/linux/configs/kernel-2.6.5-i686.config to
/usr/src/linux/.config
2.ran make menuconfig;make
3.copied to /boot
4.added new kernel to /boot/grub/grub/conf
5. rebooted and selected new kernel
    

Actual Results:  kernel panic

Expected Results:  normal boot

Additional info:

Comment 1 Dave Jones 2005-04-16 04:12:05 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.